<?php

namespace Drupal\google_analytics_et\Form;

use Drupal\Core\Entity\EntityConfirmFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Messenger\MessengerInterface;
use Drupal\Core\Url;

/**
 * Builds the form to delete Google Analytics event tracker entities.
 */
class GoogleAnalyticsEventTrackerDeleteForm extends EntityConfirmFormBase {

  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->t('Are you sure you want to delete %name?', ['%name' => $this->entity->label()]);
  }

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return new Url('entity.google_analytics_event_tracker.collection');
  }

  /**
   * {@inheritdoc}
   */
  public function getConfirmText() {
    return $this->t('Delete');
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->entity->delete();

    $this->messenger()->addMessage(
    $this->t('Deleted @type @label.',
      [
        '@type' => $this->entity->getEntityType()->getLabel(),
        '@label' => $this->entity->label(),
      ]
      )
    );

    $form_state->setRedirectUrl($this->getCancelUrl());
  }

}
